WebSphereWebContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereWebContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereWebContainer

All Superinterfaces:
  J2EEWebContainer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer, WebContainer

    public interface WebSphereWebContainer

extends J2EEWebContainer

A WebSphere Web Container.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDefaultVirtualHostName()`
`boolean` | `getEnableServletCaching()`
`WebSphereHTTPTransport[]` | `getHTTPTransports()`
`java.lang.String` | `getSessionAffinityFailoverServer()`
`int` | `getSessionAffinityTimeout()`
`WebSphereSessionTuningParams` | `getSessionTuningParams()`
`int` | `getThreadPoolInactivityTimeoutMsecs()`
`boolean` | `getThreadPoolIsGrowable()`
`int` | `getThreadPoolMaximumSize()`
`int` | `getThreadPoolMinimumSize()`
`boolean` | `hasDefaultVirtualHostName()`
`boolean` | `hasEnableServletCaching()`
`boolean` | `hasHTTPTransports()`
`boolean` | `hasSessionAffinityFailoverServer()`
`boolean` | `hasSessionAffinityTimeout()`
`boolean` | `hasSessionTuningParams()`
`boolean` | `hasThreadPoolInactivityTimeoutMsecs()`
`boolean` | `hasThreadPoolIsGrowable()`
`boolean` | `hasThreadPoolMaximumSize()`
`boolean` | `hasThreadPoolMinimumSize()`
`void` | `setDefaultVirtualHostName(java.lang.String dvhn)`
`void` | `setEnableServletCaching(boolean servletCachingEnabled)`
`void` | `setHTTPTransports(WebSphereHTTPTransport[] transports)`
`void` | `setSessionAffinityFailoverServer(java.lang.String failoverServer)`
`void` | `setSessionAffinityTimeout(int timeout)`
`void` | `setSessionTuningParams(WebSphereSessionTuningParams tuningParam)`
`void` | `setThreadPoolInactivityTimeoutMsecs(int inactivityTimeout)`
`void` | `setThreadPoolIsGrowable(boolean isGrowable)`
`void` | `setThreadPoolMaximumSize(int maximumSize)`
`void` | `setThreadPoolMinimumSize(int minimumSize)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebContainer
`getDirectives, getServerRoot, getUser, getVirtualHosts, hasDirectives, hasServerRoot, hasUser, hasVirtualHosts, setDirectives, setServerRoot, setUser, setVirtualHosts`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getDefaultVirtualHostName

    java.lang.String getDefaultVirtualHostName()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultVirtualHostName

    void setDefaultVirtualHostName(java.lang.String dvhn)

### hasDefaultVirtualHostName

    boolean hasDefaultVirtualHostName()

### getSessionAffinityTimeout

    int getSessionAffinityTimeout()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionAffinityTimeout

    void setSessionAffinityTimeout(int timeout)

### hasSessionAffinityTimeout

    boolean hasSessionAffinityTimeout()

### getSessionAffinityFailoverServer

    java.lang.String getSessionAffinityFailoverServer()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionAffinityFailoverServer

    void setSessionAffinityFailoverServer(java.lang.String failoverServer)

### hasSessionAffinityFailoverServer

    boolean hasSessionAffinityFailoverServer()

### getEnableServletCaching

    boolean getEnableServletCaching()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableServletCaching

    void setEnableServletCaching(boolean servletCachingEnabled)

### hasEnableServletCaching

    boolean hasEnableServletCaching()

### getHTTPTransports

    WebSphereHTTPTransport[] getHTTPTransports()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setHTTPTransports

    void setHTTPTransports(WebSphereHTTPTransport[] transports)

### hasHTTPTransports

    boolean hasHTTPTransports()

### getThreadPoolMinimumSize

    int getThreadPoolMinimumSize()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setThreadPoolMinimumSize

    void setThreadPoolMinimumSize(int minimumSize)

### hasThreadPoolMinimumSize

    boolean hasThreadPoolMinimumSize()

### getThreadPoolMaximumSize

    int getThreadPoolMaximumSize()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setThreadPoolMaximumSize

    void setThreadPoolMaximumSize(int maximumSize)

### hasThreadPoolMaximumSize

    boolean hasThreadPoolMaximumSize()

### getThreadPoolInactivityTimeoutMsecs

    int getThreadPoolInactivityTimeoutMsecs()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setThreadPoolInactivityTimeoutMsecs

    void setThreadPoolInactivityTimeoutMsecs(int inactivityTimeout)

### hasThreadPoolInactivityTimeoutMsecs

    boolean hasThreadPoolInactivityTimeoutMsecs()

### getThreadPoolIsGrowable

    boolean getThreadPoolIsGrowable()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setThreadPoolIsGrowable

    void setThreadPoolIsGrowable(boolean isGrowable)

### hasThreadPoolIsGrowable

    boolean hasThreadPoolIsGrowable()

### getSessionTuningParams

    WebSphereSessionTuningParams getSessionTuningParams()
                                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setSessionTuningParams

    void setSessionTuningParams(WebSphereSessionTuningParams tuningParam)

### hasSessionTuningParams

    boolean hasSessionTuningParams()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD